<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php tj_custom_titles(); ?></title>
<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/colors/<?php echo get_option('videopro_theme_stylesheet');?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/includes/fancybox/jquery.fancybox.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/custom.css" />
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="wrapper">
	
	<div id="top">
		<p id="site-desc"><?php bloginfo('description'); ?></p>
		<div class="social-counter">
			<a href="<?php echo get_option('videopro_rss_url'); ?>" rel="nofollow" class="rss"><?php _e('RSS','themejunkie'); ?> <span><?php echo get_option('videopro_rss_subscribers_count'); ?></span></a>
			<a href="<?php echo get_option('videopro_google_plus_url'); ?>" rel="nofollow"><?php _e('Google +','themejunkie'); ?> <span><?php echo get_option('videopro_google_plus_followers_count'); ?></span></a>
			<a href="<?php echo get_option('videopro_twitter_url'); ?>" rel="nofollow"><?php _e('Twitter','themejunkie'); ?> <span><?php echo get_option('videopro_twitter_followers_count'); ?></span></a>
			<a href="<?php echo get_option('videopro_facebook_url'); ?>" rel="nofollow"><?php _e('Facebook','themejunkie'); ?> <span><?php echo get_option('videopro_facebook_fans_count'); ?></span></a>					
		</div><!-- .social-counter -->
	</div><!-- #top -->
	
	<header>
	    <?php if (get_option('videopro_text_logo_enable') == 'on') { ?>
		<div id="text-logo">
			<h1 id="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
		</div><!-- #text-logo -->
	    <?php } else { ?>
		    <a href="<?php echo home_url(); ?>"><?php $logo = (get_option('videopro_logo') <> '') ? get_option('videopro_logo') : get_template_directory_uri().'/images/logo.png'; ?><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" id="logo"/></a>
	    <?php }?>
	    <div class="right">
		    <div id="primary-nav">
			    <?php $menuClass = 'nav';
				$menuID = 'primary-navigation';
				$primaryNav = '';
				if (function_exists('wp_nav_menu')) {
					$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
				};
				if ($primaryNav == '') { ?>
					<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
						<?php if (get_option('videopro_home_link') == 'on') { ?>
							<li class="<?php if(!is_page()) echo('first');?> home-item"><a href="<?php echo home_url(); ?>"><?php _e('Home', 'themejunkie') ?></a></li>
						<?php } ?>						
						<?php show_page_menu($menuClass,false,false); ?>
					</ul>
				<?php }	else echo($primaryNav); ?>
			</div><!-- #primary-nav -->
			<div id="header-search" role="search">
				<form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" id="search-form">
					<input type="text" name="s" id="site_search" placeholder="Type and hit enter" />
				</form>
			</div><!-- #header-search -->
		</div><!-- .right -->
		<div class="clear">
    </header><!-- header-->
    
    <div class="clear"></div>
    
    <?php if (get_option('videopro_header_ad_enable') == 'on') { ?>
		<div class="header-ad">
			<?php echo get_option('videopro_header_ad_code'); ?>
		</div><!-- .header-ad -->
	<?php } ?>
    
